Package org.eclipse.net4j.util.om

# Schnittstelle OMBundle.TranslationSupport

Umschließende Schnittstelle:
  `OMBundle`

public static interface OMBundle.TranslationSupport
A facility for accessing `resource bundles`.

Autor:
  Eike Stepper

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`String`
`getString(String key)`
Returns the string resource associated with the key.
`String`
`getString(String key, boolean translate)`
Returns the string resource associated with the key.
`String`
`getString(String key, boolean translate, Object... args)`
Returns a string resource associated with the key, and performs substitutions.
`String`
`getString(String key, Object... args)`
Returns a string resource associated with the key, and performs substitutions.
`void`
`setShouldTranslate(boolean shouldTranslate)`
Sets whether strings should be translated by default.
`boolean`
`shouldTranslate()`
Indicates whether strings should be translated by default.

## Methodendetails

### shouldTranslate

boolean shouldTranslate()
Indicates whether strings should be translated by default.

Gibt zurück:
  `true` if strings should be translated by default; `false` otherwise.

### setShouldTranslate

void setShouldTranslate(boolean shouldTranslate)
Sets whether strings should be translated by default.

Parameter:
  `shouldTranslate` - whether strings should be translated by default.

### getString

String getString(String key)
Returns the string resource associated with the key.

Parameter:
  `key` - the key of the string resource.
Gibt zurück:
  the string resource associated with the key.

### getString

String getString(String key, boolean translate)
Returns the string resource associated with the key.

Parameter:
  `key` - the key of the string resource.
  `translate` - whether the result is to be translated to the current locale.
Gibt zurück:
  the string resource associated with the key.

### getString

String getString(String key, Object... args)
Returns a string resource associated with the key, and performs substitutions.

Parameter:
  `key` - the key of the string.
  `args` - the message substitutions.
Gibt zurück:
  a string resource associated with the key.
Siehe auch:
  - `getString(String)`
  - `MessageFormat.format(String, Object...)`

### getString

String getString(String key, boolean translate, Object... args)
Returns a string resource associated with the key, and performs substitutions.

Parameter:
  `key` - the key of the string.
  `translate` - whether the result is to be translated to the current locale.
  `args` - the message substitutions.
Gibt zurück:
  a string resource associated with the key.
Siehe auch:
  - `getString(String)`
  - `MessageFormat.format(String, Object[])`